CUE(4)

NAME
cue - CATC USB-EL1201A USB Ethernet device

SYNOPSIS
cue* at uhub?

DESCRIPTION
The cue driver provides support for USB Ethernet adapters based on the Computer Access Technology Corporation's USB-EL1202A chipset. This includes the following adapters:

Belkin F5U111
CATC Netmate
CATC Netmate II
SmartBridges SmartLink

The USB-EL1202A supports a 512-bit multicast hash filter, single perfect filter entry for the station address and promiscuous mode. Packets are received and transmitted over separate USB bulk transfer endpoints.

The CATC adapter supports only 10Mbps half-duplex mode, hence there are no ifmedia(4) modes to select.

For more information on configuring this device, see ifconfig(8).

DIAGNOSTICS

cue%d: watchdog timeout A packet was queued for transmission and a transmit command was issued, however the device failed to acknowledge the transmission before a timeout expired.

cue%d: no memory for rx list The driver failed to allocate an mbuf for the receiver ring.

SEE ALSO
arp(4), intro(4), netintro(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The cue device driver first appeared in FreeBSD 4.0. OpenBSD support was added in OpenBSD 2.7.

AUTHORS
-nosplit The cue driver was written by Bill Paul <wpaul@ee.columbia.edu> and ported to OpenBSD by Aaron Campbell <aaron@openbsd.org>.